export interface FileContent {
    fileName: string;
    content: string;
    readOnly?: boolean;
}
export interface SchemaFileRepository {
    localPath: () => string;
    dataSchemaFiles: (includeDependencies?: boolean) => Promise<FileContent[]>;
}
export declare class FileRepository implements SchemaFileRepository {
    protected readonly repositoryPath: string;
    constructor(repositoryPath: string);
    localPath(): string;
    protected getFiles(dir: string, fileList?: string[]): Promise<string[]>;
    dataSchemaFiles(includeDependencies?: boolean): Promise<FileContent[]>;
    writeDataSchemaFile(fileName: string, source: string): void;
    protected readModules(): Promise<FileContent[]>;
    protected readModuleFiles(modulePath: string): Promise<FileContent[]>;
}
//# sourceMappingURL=FileRepository.d.ts.map