"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.displayCLIWarningOnce = exports.displayCLIWarning = exports.displayCLIError = void 0;
const color_1 = __importDefault(require("@oclif/color"));
const process_1 = __importDefault(require("process"));
const displayCLIError = async (text, pkg) => {
    console.error('');
    console.error(color_1.default.cyan(`Cube.js ${pkg} ---------------------------------------`));
    console.error('');
    console.error(text);
    console.error('');
    console.error(color_1.default.yellow('Need some help? -------------------------------------'));
    console.error('');
    console.error(`${color_1.default.yellow('  Ask this question in Cube.js Slack:')} https://slack.cube.dev`);
    console.error(`${color_1.default.yellow('  Post an issue:')} https://github.com/cube-js/cube.js/issues`);
    console.error('');
    process_1.default.exit(1);
};
exports.displayCLIError = displayCLIError;
const displayCLIWarning = (message) => {
    console.log(`${color_1.default.yellow('Warning.')} ${message}`);
};
exports.displayCLIWarning = displayCLIWarning;
const warningOnce = new Map();
const displayCLIWarningOnce = (key, message) => {
    if (!warningOnce.has(key)) {
        warningOnce.set(key, 1);
        (0, exports.displayCLIWarning)(message);
    }
};
exports.displayCLIWarningOnce = displayCLIWarningOnce;
//# sourceMappingURL=cli.js.map