"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCI = exports.getNext = exports.getProcessUid = void 0;
const uuid_1 = require("uuid");
/**
 * Unique process ID (aka 00000000-0000-0000-0000-000000000000).
 */
const processUid = (0, uuid_1.v5)((0, uuid_1.v1)(), (0, uuid_1.v1)()).toString();
/**
 * Returns unique process ID.
 */
function getProcessUid() {
    return processUid;
}
exports.getProcessUid = getProcessUid;
let i = 0;
/**
 * Returns unique for the process number.
 */
function getNext() {
    return i++;
}
exports.getNext = getNext;
function isCI() {
    if (process.env.GITHUB_EVENT_NAME) {
        return true;
    }
    return false;
}
exports.isCI = isCI;
//# sourceMappingURL=process.js.map