"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHttpAgentForProxySettings = exports.getProxySettings = void 0;
const child_process_1 = require("child_process");
const http_proxy_agent_1 = __importDefault(require("http-proxy-agent"));
function getCommandOutput(command) {
    return new Promise((resolve, reject) => {
        (0, child_process_1.exec)(command, (error, stdout) => {
            if (error) {
                reject(error.message);
                return;
            }
            resolve(stdout);
        });
    });
}
async function getProxySettings() {
    const [proxy] = (await Promise.all([getCommandOutput('npm config -g get https-proxy'), getCommandOutput('npm config -g get proxy')]))
        .map((s) => s.trim())
        .filter((s) => !['null', 'undefined', ''].includes(s));
    return proxy;
}
exports.getProxySettings = getProxySettings;
async function getHttpAgentForProxySettings() {
    const proxy = await getProxySettings();
    return proxy ? (0, http_proxy_agent_1.default)(proxy) : undefined;
}
exports.getHttpAgentForProxySettings = getHttpAgentForProxySettings;
//# sourceMappingURL=proxy.js.map